## ros-indigo-pocketsphinx 0.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pocketsphinx)

find_package(catkin REQUIRED)
catkin_package(DEPENDS)

install(DIRECTORY demo
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(PROGRAMS nodes/recognizer.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(PROGRAMS nodes/voice_cmd_vel.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

=== debian/changelog ===
ros-indigo-pocketsphinx (0.4.0-0trusty) trusty; urgency=high

  * add ~source parameter, for setting things like 'alsasrc'
  * add depend on python-gst
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mike@vanadiumlabs.com>  Tue, 03 Jun 2014 07:00:00 -0000

ros-indigo-pocketsphinx (0.3.0-0trusty) trusty; urgency=high

  * Convert print statements to rosinfo/rosdebugs
  * Change language model at runtime + specify audio source

 -- Michael Ferguson <mike@vanadiumlabs.com>  Wed, 27 Nov 2013 08:00:00 -0000

ros-indigo-pocketsphinx (0.2.2-0trusty) trusty; urgency=high

  * Add changelog

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sun, 29 Sep 2013 07:00:00 -0000

ros-indigo-pocketsphinx (0.2.1-0trusty) trusty; urgency=high

  * Fix install rules so that python scripts are executable

 -- Michael Ferguson <mike@vanadiumlabs.com>  Sat, 21 Sep 2013 07:00:00 -0000

ros-indigo-pocketsphinx (0.2.0-0trusty) trusty; urgency=high

  * Added support for grammar fsg files
  * First catkinized release

 -- Michael Ferguson <mike@vanadiumlabs.com>  Fri, 12 Jul 2013 07:00:00 -0000

=== debian/control ===
Source: ros-indigo-pocketsphinx
Section: misc
Priority: extra
Maintainer: Michael Ferguson <mike@vanadiumlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/pocketsphinx
Standards-Version: 3.9.2

Package: ros-indigo-pocketsphinx
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gstreamer0.10-pocketsphinx, python-gst0.10, ros-indigo-geometry-msgs, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: This package is a simple wrapper around the pocketsphinx speech recognizer, using gstreamer and a Python-based interface.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-pocketsphinx//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
